# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{yard}
  s.version = "0.6.8"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Loren Segal"]
  s.date = %q{2011-04-14}
  s.description = %q{    YARD is a documentation generation tool for the Ruby programming language.
    It enables the user to generate consistent, usable documentation that can be
    exported to a number of formats very easily, and also supports extending for
    custom Ruby constructs such as custom class level definitions.
}
  s.email = %q{lsegal@soen.ca}
  s.executables = ["yard", "yardoc", "yri"]
  s.files = ["lib/rubygems_plugin.rb", "lib/yard/autoload.rb", "lib/yard/cli/command.rb", "lib/yard/cli/command_parser.rb", "lib/yard/cli/config.rb", "lib/yard/cli/diff.rb", "lib/yard/cli/gems.rb", "lib/yard/cli/graph.rb", "lib/yard/cli/help.rb", "lib/yard/cli/server.rb", "lib/yard/cli/stats.rb", "lib/yard/cli/yardoc.rb", "lib/yard/cli/yri.rb", "lib/yard/code_objects/base.rb", "lib/yard/code_objects/class_object.rb", "lib/yard/code_objects/class_variable_object.rb", "lib/yard/code_objects/constant_object.rb", "lib/yard/code_objects/extended_method_object.rb", "lib/yard/code_objects/method_object.rb", "lib/yard/code_objects/module_object.rb", "lib/yard/code_objects/namespace_object.rb", "lib/yard/code_objects/proxy.rb", "lib/yard/code_objects/root_object.rb", "lib/yard/config.rb", "lib/yard/core_ext/array.rb", "lib/yard/core_ext/file.rb", "lib/yard/core_ext/hash.rb", "lib/yard/core_ext/insertion.rb", "lib/yard/core_ext/module.rb", "lib/yard/core_ext/string.rb", "lib/yard/core_ext/symbol_hash.rb", "lib/yard/docstring.rb", "lib/yard/globals.rb", "lib/yard/handlers/base.rb", "lib/yard/handlers/processor.rb", "lib/yard/handlers/ruby/alias_handler.rb", "lib/yard/handlers/ruby/attribute_handler.rb", "lib/yard/handlers/ruby/base.rb", "lib/yard/handlers/ruby/class_condition_handler.rb", "lib/yard/handlers/ruby/class_handler.rb", "lib/yard/handlers/ruby/class_variable_handler.rb", "lib/yard/handlers/ruby/constant_handler.rb", "lib/yard/handlers/ruby/exception_handler.rb", "lib/yard/handlers/ruby/extend_handler.rb", "lib/yard/handlers/ruby/legacy/alias_handler.rb", "lib/yard/handlers/ruby/legacy/attribute_handler.rb", "lib/yard/handlers/ruby/legacy/base.rb", "lib/yard/handlers/ruby/legacy/class_condition_handler.rb", "lib/yard/handlers/ruby/legacy/class_handler.rb", "lib/yard/handlers/ruby/legacy/class_variable_handler.rb", "lib/yard/handlers/ruby/legacy/constant_handler.rb", "lib/yard/handlers/ruby/legacy/exception_handler.rb", "lib/yard/handlers/ruby/legacy/extend_handler.rb", "lib/yard/handlers/ruby/legacy/method_handler.rb", "lib/yard/handlers/ruby/legacy/mixin_handler.rb", "lib/yard/handlers/ruby/legacy/module_handler.rb", "lib/yard/handlers/ruby/legacy/private_constant_handler.rb", "lib/yard/handlers/ruby/legacy/process_handler.rb", "lib/yard/handlers/ruby/legacy/visibility_handler.rb", "lib/yard/handlers/ruby/legacy/yield_handler.rb", "lib/yard/handlers/ruby/method_condition_handler.rb", "lib/yard/handlers/ruby/method_handler.rb", "lib/yard/handlers/ruby/mixin_handler.rb", "lib/yard/handlers/ruby/module_handler.rb", "lib/yard/handlers/ruby/private_constant_handler.rb", "lib/yard/handlers/ruby/process_handler.rb", "lib/yard/handlers/ruby/struct_handler_methods.rb", "lib/yard/handlers/ruby/visibility_handler.rb", "lib/yard/handlers/ruby/yield_handler.rb", "lib/yard/logging.rb", "lib/yard/parser/base.rb", "lib/yard/parser/c_parser.rb", "lib/yard/parser/ruby/ast_node.rb", "lib/yard/parser/ruby/legacy/ruby_lex.rb", "lib/yard/parser/ruby/legacy/ruby_parser.rb", "lib/yard/parser/ruby/legacy/statement.rb", "lib/yard/parser/ruby/legacy/statement_list.rb", "lib/yard/parser/ruby/legacy/token_list.rb", "lib/yard/parser/ruby/ruby_parser.rb", "lib/yard/parser/source_parser.rb", "lib/yard/rake/yardoc_task.rb", "lib/yard/registry.rb", "lib/yard/registry_store.rb", "lib/yard/rubygems/doc_manager.rb", "lib/yard/rubygems/specification.rb", "lib/yard/serializers/base.rb", "lib/yard/serializers/file_system_serializer.rb", "lib/yard/serializers/process_serializer.rb", "lib/yard/serializers/stdout_serializer.rb", "lib/yard/serializers/yardoc_serializer.rb", "lib/yard/server/adapter.rb", "lib/yard/server/commands/base.rb", "lib/yard/server/commands/display_file_command.rb", "lib/yard/server/commands/display_object_command.rb", "lib/yard/server/commands/frames_command.rb", "lib/yard/server/commands/library_command.rb", "lib/yard/server/commands/library_index_command.rb", "lib/yard/server/commands/list_command.rb", "lib/yard/server/commands/search_command.rb", "lib/yard/server/commands/static_file_command.rb", "lib/yard/server/doc_server_helper.rb", "lib/yard/server/doc_server_serializer.rb", "lib/yard/server/library_version.rb", "lib/yard/server/rack_adapter.rb", "lib/yard/server/router.rb", "lib/yard/server/static_caching.rb", "lib/yard/server/templates/default/fulldoc/html/css/custom.css", "lib/yard/server/templates/default/fulldoc/html/images/processing.gif", "lib/yard/server/templates/default/fulldoc/html/js/autocomplete.js", "lib/yard/server/templates/default/fulldoc/html/js/live.js", "lib/yard/server/templates/default/layout/html/breadcrumb.erb", "lib/yard/server/templates/default/layout/html/headers.erb", "lib/yard/server/templates/doc_server/frames/html/frames.erb", "lib/yard/server/templates/doc_server/frames/html/setup.rb", "lib/yard/server/templates/doc_server/full_list/html/full_list.erb", "lib/yard/server/templates/doc_server/full_list/html/setup.rb", "lib/yard/server/templates/doc_server/library_list/html/contents.erb", "lib/yard/server/templates/doc_server/library_list/html/headers.erb", "lib/yard/server/templates/doc_server/library_list/html/library_list.erb", "lib/yard/server/templates/doc_server/library_list/html/setup.rb", "lib/yard/server/templates/doc_server/library_list/html/title.erb", "lib/yard/server/templates/doc_server/processing/html/processing.erb", "lib/yard/server/templates/doc_server/processing/html/setup.rb", "lib/yard/server/templates/doc_server/search/html/search.erb", "lib/yard/server/templates/doc_server/search/html/setup.rb", "lib/yard/server/webrick_adapter.rb", "lib/yard/server.rb", "lib/yard/tags/default_factory.rb", "lib/yard/tags/default_tag.rb", "lib/yard/tags/library.rb", "lib/yard/tags/option_tag.rb", "lib/yard/tags/overload_tag.rb", "lib/yard/tags/ref_tag.rb", "lib/yard/tags/ref_tag_list.rb", "lib/yard/tags/tag.rb", "lib/yard/tags/tag_format_error.rb", "lib/yard/templates/engine.rb", "lib/yard/templates/erb_cache.rb", "lib/yard/templates/helpers/base_helper.rb", "lib/yard/templates/helpers/filter_helper.rb", "lib/yard/templates/helpers/html_helper.rb", "lib/yard/templates/helpers/html_syntax_highlight_helper.rb", "lib/yard/templates/helpers/markup/rdoc_markup.rb", "lib/yard/templates/helpers/markup_helper.rb", "lib/yard/templates/helpers/method_helper.rb", "lib/yard/templates/helpers/module_helper.rb", "lib/yard/templates/helpers/text_helper.rb", "lib/yard/templates/helpers/uml_helper.rb", "lib/yard/templates/section.rb", "lib/yard/templates/template.rb", "lib/yard/verifier.rb", "lib/yard.rb", "bin/yard", "bin/yardoc", "bin/yri"]
  s.homepage = %q{http://yardoc.org}
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{yard}
  s.rubygems_version = %q{1.5.2}
  s.summary = %q{Documentation tool for consistent and usable documentation in Ruby.}

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
